#
# spec file for package python-cmdln
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name cmdln
%define version 1.1.1
%define unmangled_version 1.1.1

Summary:    An improved cmd.py for Writing Multi-command Scripts and Shells
Name:       python-%{_name}
Version:    %{version}
Release:    2.12
Source0:    %{_name}-%{unmangled_version}.tar.bz2
License:    MIT License
Group:      Development/Libraries/Python
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: python-setuptools python-devel
Vendor:      Trent Mick <TrentM@ActiveState.com>
Url:         http://trentm.com/projects/cmdln/

%description
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".  The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.


%prep
%setup -n %{_name}-%{unmangled_version}


%build
export CFLAGS="$RPM_OPT_FLAGS"
python setup.py build


%install
python setup.py install --prefix=%{_prefix} \
   --root=$RPM_BUILD_ROOT \
   --record-rpm=INSTALLED_FILES


%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc LICENSE.txt README.txt docs/ examples/
%changelog
* Mon Jun  9 2008 poeml@suse.de
- don't make the "Release" tag a macro
* Thu May  1 2008 poeml@suse.de
- This package is not a noarch package -- fix the build.
* Thu Mar  6 2008 toms@suse.de
- Initial package 1.1.1
